Search impacted resources for a customer insight row using smart filters.

post

/sia/v1/impact/event/{eventId}/customerInsights/{customerId}/resources/search

Returns paginated impacted resources for one customer within an event after applying smart search style filters.

Request

Path Parameters
Query Parameters
  • Minimum Value: 1
    Requested impacted-resource page size. If omitted, the Smart Search select-all limit is used. This value is not capped by impact.customerInsights.customerLimit.
  • Minimum Value: 0
    Zero-based impacted-resource offset. If omitted, the offset is 0.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : filters
Type: array
Applied smart search filters for customer insights.
Show Source
Nested Schema : FilterChip
Type: object
Show Source
  • Name of the smart search filter.
  • value
    Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: array
Show Source
Nested Schema : value-oneOf[3]
Type: array
Show Source
Nested Schema : value-oneOf[5]
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Customer insight impacted resources retrieved successfully.
Body ()
Root Schema : CustomerImpactResourcesResponse
Type: object
Paginated impacted resources for one customer insight row.
Show Source
Nested Schema : resources
Type: array
Current page of impacted resources, sorted by resource name.
Show Source
Nested Schema : CustomerImpactResource
Type: object
Impacted resource or service associated with a customer.
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top